
Grid Elements - Feature # 56868

Status: On Hold Priority: Must have
Author: Marco Huber Category:
Created: 2014-03-13 Assigned To:
Updated: 2014-12-17 Due date:
PHP Version:
Has patch: No
Patch is reviewed: No
Reporter:
Subject: Update SYS_LASTCHANGED
Description

The register SYS_LASTCHANGED is not updated while rendering the child content elements.

Related issues:
related to Core - Bug # 63798: SYS_LASTCHANGED does not updated when TCEMAIN.... New 2014-12-12
related to Core - Bug # 63810: pages SYS_LASTCHANGED does not update when pag... Accepted 2014-12-12

Associated revisions
Revision 2b0e0597 - 2014-03-17 17:50 - Marco Huber

[FEATURE] Update SYS_LASTCHANGED

Updates the register SYS_LASTCHANGED if necessary.

Fixes: #56868
Releases: master
Change-Id: Iafe320a032f40adc7b81fdc646ef542868fb8a61
Reviewed-on: https://review.typo3.org/28343
Reviewed-by: Peter Kraume
Tested-by: Peter Kraume
Reviewed-by: Jo Hasenau
Tested-by: Jo Hasenau

History
#1 - 2014-03-13 13:25 - Marco Huber
- File issue_56868.diff added

I have a patch, but I'm not allowed to push :-(

$ git push origin HEAD:refs/for/master
fatal: unable to access 'http://git.typo3.org/TYPO3CMS/Extensions/gridelements.git/': The requested URL returned error: 403

#2 - 2014-03-13 13:36 - Gerrit Code Review

Patch set 1 for branch master of project TYPO3CMS/Extensions/gridelements has been pushed to the review server.
It is available at https://review.typo3.org/28343
#3 - 2014-03-13 13:38 - Marco Huber

ah, I had to insert a second pushInsteadOf into my gitconfig:

[url "ssh://USERNAME@review.typo3.org:29418"]
        pushInsteadOf = git://git.typo3.org
        pushInsteadOf = http://git.typo3.org

#4 - 2014-03-13 17:14 - Gerrit Code Review

Patch set 2 for branch master of project TYPO3CMS/Extensions/gridelements has been pushed to the review server.
It is available at https://review.typo3.org/28343

#5 - 2014-03-17 18:35 - Marco Huber
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2b0e05973b2b98727f4a5babd4dcccec893a3f3e.

#6 - 2014-10-17 11:51 - Jo Hasenau
- Status changed from Resolved to Under Review
- Priority changed from Should have to Must have

It seems the issue is a bit more tricky and not resolved completely yet.
Got reports today, that indexed search is not working properly with grid children.
SYS_LASTCHANGED update in the frontend does not seem to be enough, which is why we should move that to the backend.

#7 - 2014-12-12 09:29 - Michiel Roos

Please push this partial fix.

#8 - 2014-12-12 10:32 - Michiel Roos

What exactly does not work with indexing and grid children? And how can I reproduce this?

The patch seems to work fine for updating a page.

I just discovered a related issue concerning clearCacheCmd: https://forge.typo3.org/issues/63798

The only other place in the core that I can find related to SYS_LASTCHANGED and indexing is in
\TYPO3\CMS\IndexedSearch\Indexer::hook_indexContent
#9 - 2014-12-12 10:33 - Jo Hasenau

Sorry - completely forgot this one - thanks for the reminder :-)

#10 - 2014-12-12 10:39 - Jo Hasenau

Well - for a perfect solution IMHO the stuff should not be applied in the frontend and it has to be done recursively. When a child element gets added or
updated, this should trigger a change of the parent element, which again should trigger a change for a possible grandparent and so on, with the final
parent being the page.

This way we could completely remove the patch from the frontend and make sure everything is fine even for people who do not use the "official" plugin
methods to fetch their gridelements.

#11 - 2014-12-17 14:33 - Jo Hasenau
- Status changed from Under Review to On Hold

Since there are some issues in the core related to problems with SYS_LASTCHANGED as well - we will have to wait for a final decision here.

Files
issue_56868.diff 521 Bytes 2014-03-13 Marco Huber
